note
	description: "Summary description for {BOOK}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	BOOK[ITEM1, ITEM2]

-- design decision: each time a book client retrieve an item from the book,
-- it's going to be a TUPLE[ITEM2, ITEM1]

inherit
	ITERABLE[TUPLE[ITEM2, ITEM1]]


create
	make

feature {NONE} -- implementation

	items_1: ARRAY[ITEM1]
	items_2: LINKED_LIST[ITEM2]

feature -- Constructor
	make
		do
			create items_1.make_empty
			create items_2.make
		end

feature -- commands
	add (item_1: ITEM1; item_2: ITEM2)
		do

		end

feature -- access
	new_cursor: ITERATION_CURSOR[TUPLE[ITEM2, ITEM1]]
		do
			create {BOOK_ITERATION_CURSOR[ITEM1, ITEM2]} Result.make (items_1, items_2)
		end

end
