note
	description: "Summary description for {NAMES}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	NAMES

inherit
	ITERABLE[STRING]

create
	make

feature {NONE} -- none of the classes can get access to features here
	collection_of_names: ARRAY[STRING]

feature -- Constructor
	make
			-- Create empty names
		do
			create collection_of_names.make_empty
		end

feature -- Access
	new_cursor: ITERATION_CURSOR[STRING]
		do
			Result := collection_of_names.new_cursor
		end

feature -- Commands
	add_name (nn: STRING)
		do
			collection_of_names.force (nn, collection_of_names.count + 1)
		end

end
