note
	description: "[
		Test examples with arrays and regular expressions.
		First test fails as Result is False by default.
		Write your own tests.
		Included libraries:
			base and extension
			Espec unit testing
			Mathmodels
			Gobo structures
			Gobo regular expressions
		]"
	author: "JSO"
	date: "$Date$"
	revision: "$Revision 19.05$"

class
	TEST_EXAMPLE

inherit

	ES_TEST

create
	make

feature {NONE} -- Initialization

	make
			-- initialize tests
		do
			add_boolean_case (agent t0)
			add_boolean_case (agent t1)
		end

feature -- tests

	t0: BOOLEAN
		local
			ns: NAMES
			name_list: LINKED_LIST[STRING]
		do
			comment ("t0: test names")
			create ns.make
			ns.add_name ("alan")
			ns.add_name ("mark")
			ns.add_name ("tom")

			-- this access is invalid because it's exported to none
--			across
--				ns.collection_of_names is n
--			loop
--				io.put_string (n)
--			end

			create name_list.make
			across
				ns is n
			loop
				name_list.extend (n)
			end

			Result := name_list.count = 3 and name_list[1] ~ "alan"
		end

	t1: BOOLEAN
		local
			b: BOOK[STRING, INTEGER]
		do
			comment ("t1: test book")
--			across
--				b is ??
--			loop
--			
--			end
		end

end
